<table>
	<tr *ngFor="let row of c.oneToNine" class="row_{{ row }}">
		<td *ngFor="let col of c.oneToNine" class="col_{{ col }}">
			<button
				mat-button
				[ngClass]="c.fieldCssClasses[row][col]"
				[disabled]="!c.isUserDefined && c.grid[row][col] !== undefined"
				(click)="c.fieldClicked(row, col); tooltip.hide()"
				#tooltip="matTooltip"
				matTooltip="{{
					c.fieldCssClasses[row][col].onlyOnePossibleDigit
						? ('onlyOnePossibleDigit.tooltip' | translate)
						: undefined
				}}"
				matTooltipShowDelay="1000"
				matTooltipPosition="above"
				[@fieldAnimator]="c.fieldStates[row][col]"
				(@fieldAnimator.done)="
					c.fieldStates[row][col] = undefined; tooltip.hide()
				"
				attr.aria-label="row: {{ row }}, column: {{ col }}"
			>
				{{ c.grid[row][col] || "&nbsp;" }}
			</button>
		</td>
	</tr>
</table>
